Buf(1)

NAME
buf-lsp-serve - Start the language server

SYNOPSIS
buf lsp serve [flags]

DESCRIPTION
Start the language server

OPTIONS
--debug-address=""
    address to serve debug endpoints on (e.g. localhost:6060); disabled if not specified

-h, --help[=false]
    help for serve

--pipe=""
    path to a UNIX socket to listen on; uses stdio if not specified

OPTIONS INHERITED FROM PARENT COMMANDS
--debug[=false]
    Turn on debug logging

--log-format="color"
    The log format [text,color,json]

--timeout=0s
    The duration until timing out, setting it to 0 means no timeout

SEE ALSO
buf-lsp(1)

HISTORY
2026-05-25 Auto generated by spf13/cobra